GoodJuJu
2005-02-07 13:27:34 UTC
Is there a way using Lisp to convert ALL text to be color 7 within a drawing?
I can change Mtext, Text, ArcAlignedText, Dimension Text and Attributes using
(Defun C:TxtCol)
(setq ALLTEXT (ssget "X" '((0 . "*TEXT,DIMENSION,ATTDEF,DIMENSION"))))
(Command "Change" ALLTEXT "" "P" "C" "7" "")
However, when it comes to blocks in the drawing I need to change the color of text and attributes inside the block without exploding it.
Looking through other posts here, it appears that I need to search blocks for -2 codes.
Any help is much appreciated.
I can change Mtext, Text, ArcAlignedText, Dimension Text and Attributes using
(Defun C:TxtCol)
(setq ALLTEXT (ssget "X" '((0 . "*TEXT,DIMENSION,ATTDEF,DIMENSION"))))
(Command "Change" ALLTEXT "" "P" "C" "7" "")
However, when it comes to blocks in the drawing I need to change the color of text and attributes inside the block without exploding it.
Looking through other posts here, it appears that I need to search blocks for -2 codes.
Any help is much appreciated.